import React, { ReactNode } from 'react';
import { HeaderAuthLinks } from './HeaderAuthLinks';

type HeaderMenuProps = {
    children: ReactNode;
    enterTitle: string;
    registerTitle: string;
    accountTitle: string;
};

export const HeaderMenu = ({ children, enterTitle, registerTitle, accountTitle }: HeaderMenuProps) => (
    <div className="b-header__nav">
        <nav>
            <ul className="b-header__nav__list ">
                {children}
                <HeaderAuthLinks enterTitle={enterTitle} registerTitle={registerTitle} accountTitle={accountTitle} />
            </ul>
        </nav>
    </div>
);
